Bug 212845 - Make it possible to change keyring password
Make it possible to change keyring password
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring-manager (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 11:34 EST by Uno Engborg
Modified: 2015-03-03 17:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:34:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add change password to menu (27.87 KB, patch)
2007-12-02 19:31 EST, Denis Leroy
no flags Details | Diff

  None (edit)
Description Uno Engborg 2006-10-29 11:34:02 EST
The problem with using pam_keyring is that, if I use pam_keyring, the password
for the keyring doesn't change if I change my unix password.

It would be nice if this could be implemented, however this may require some
changes to other packages as well as, as far as I can tell, there is no way of
changing the gnome-keyring password at all in FC6. Doing it through pam_keyring
would be a nice start.
Comment 1 Jon Nettleton 2006-12-10 21:21:57 EST
gnome-keyring-0.6 included in FC6 is the first gnome-keyring release that
includes my patches for changing keyring passwords.  I have a bug filed upstream
in gnome bugzilla with a patch for gnome-keyring-manager to support this
feature.  Also at http://www.hekanetworks.com/pam_keyring/  the devel version
0.8.2 of pam-keyring-tool supports changing a keyring's password.    

We are making progress it is just a bit slow.
Comment 2 Denis Leroy 2006-12-12 09:00:44 EST
Is a bug also filed in redhat bugzilla against the maintainer of
gnome-keyring-manager ? It might be easier to get the patch into FC that way.
Comment 3 Denis Leroy 2007-12-02 19:29:32 EST
Updating and reassigning to gnome-keyring-manager where this now belongs :-)
Comment 4 Denis Leroy 2007-12-02 19:31:50 EST
Created attachment 275171 [details]
Add change password to menu

Here's the patch from Jon Nettleton for this. I added a Makefile.in section to
make it work out of the box.

The upstream bug is

http://bugzilla.gnome.org/show_bug.cgi?id=338088
Comment 5 Bug Zapper 2008-11-26 02:03:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-08 23:34:44 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Uno Engborg 2009-01-14 18:56:44 EST
The bug still exists in Fedora 10, so I suggest that it should be reopened

Note You need to log in before you can comment on or make changes to this bug.